#
# spec file for pwkxwin-1.0.0.tar.gz for x86 processor.
#

%define version 1.0.0
%define name pwkxwin

Summary: Palm Wireless keyboard driver for x86 processor.
Name: %{name}
Version: %{version}
Release: 1
Copyright: GPL
Group: X11/Utilities
Source: %{name}-%{version}.tar.gz
BuildRoot: /tmp/%{name}-%{version}
URL: http://irkbd.kldp.net
Distribution: Debian woody
Vendor: lampo1
Packager: lampo1 <lampo1@paran.com>

%description
Palm Wireless Keyboard(PWK) driver for x86 processor.
lampo1@paran.com

%prep
%setup

%build
make woody

%install


set -x 
pwd
srcdir="./arch/linux/debian/woody/result"
dstdir=${RPM_BUILD_ROOT}"/usr/share/pwk"
bindir=${RPM_BUILD_ROOT}"/usr/bin"
rcdir=${RPM_BUILD_ROOT}"/etc"

mkdir ${RPM_BUILD_ROOT}
mkdir ${RPM_BUILD_ROOT}"/usr"
mkdir ${RPM_BUILD_ROOT}"/usr/share"
mkdir ${RPM_BUILD_ROOT}"/usr/share/pwk"
mkdir ${RPM_BUILD_ROOT}"/usr/bin"
mkdir ${RPM_BUILD_ROOT}"/etc"


cp ${srcdir}/README* $dstdir
cp ${srcdir}/*.xpm $dstdir
cp ${srcdir}/pwktip.html $dstdir
cp ${srcdir}/keysetting.html $dstdir
cp ${srcdir}/pwkxwin $bindir
cp ${srcdir}/pwkrc $rcdir

%files
%attr(-, root, root) /usr/share/pwk/README
%attr(-, root, root) /usr/share/pwk/README.woody
%attr(-, root, root) /usr/share/pwk/pwktip.html
%attr(-, root, root) /usr/share/pwk/keysetting.html
%attr(-, root, root) /usr/share/pwk/pwk16x16.xpm
%attr(-, root, root) /usr/share/pwk/pwk32x32.xpm
%attr(-, root, root) /usr/bin/pwkxwin
%attr(-, root, root) /etc/pwkrc

%clean
rm -rf $RPM_BUILD_ROOT          



