#
# spec file for pwkxwin-1.0.0.tar.gz for Yopy yp3700 arm processor.
#

%define version 1.0.0
%define name pwkxwin

Summary: Palm Wireless keyboard driver for Yopy yp3700 arm processor.
Name: %{name}
Version: %{version}
Release: 1yp
Copyright: GPL
Group: X11/Utilities
Source: %{name}-%{version}.tar.gz
BuildRoot: /tmp/%{name}-%{version}
URL: http://irkbd.kldp.net
Distribution: Yopy
Vendor: lampo1
Packager: lampo1 <lampo1@paran.com>

%description
Palm Wireless Keyboard(PWK) driver for linux Yopy yp3700 arm processor.
lampo1@paran.com

%prep
%setup

%build
make yp3700

%install


set -x 
pwd
srcdir="./arch/yopy/yp3700/result"
dstdir=${RPM_BUILD_ROOT}"/usr/share/pwk"
bindir=${RPM_BUILD_ROOT}"/usr/bin"
rcdir=${RPM_BUILD_ROOT}"/etc"
guimenudir=${RPM_BUILD_ROOT}"/usr/share/gnome/apps/Utilities"
pixmapdir=${RPM_BUILD_ROOT}"/usr/share/pixmaps/menu"

mkdir ${RPM_BUILD_ROOT}
mkdir ${RPM_BUILD_ROOT}"/usr"
mkdir ${RPM_BUILD_ROOT}"/usr/share"
mkdir ${RPM_BUILD_ROOT}"/usr/share/pwk"
mkdir ${RPM_BUILD_ROOT}"/usr/share/gnome"
mkdir ${RPM_BUILD_ROOT}"/usr/share/gnome/apps"
mkdir ${RPM_BUILD_ROOT}"/usr/share/gnome/apps/Utilities"
mkdir ${RPM_BUILD_ROOT}"/usr/share/pixmaps"
mkdir ${RPM_BUILD_ROOT}"/usr/share/pixmaps/menu"
mkdir ${RPM_BUILD_ROOT}"/usr/bin"
mkdir ${RPM_BUILD_ROOT}"/etc"


cp ${srcdir}/README* $dstdir
cp ${srcdir}/pwkxwin.desktop $guimenudir
cp ${srcdir}/pwk16x16.xpm $pixmapdir
cp ${srcdir}/pwktip.html $dstdir
cp ${srcdir}/yopy.html $dstdir
cp ${srcdir}/keysetting.html $dstdir
cp ${srcdir}/pwkxwin $bindir
cp ${srcdir}/pwkrc $rcdir

%files
%attr(-, root, root) /usr/share/pwk/README
%attr(-, root, root) /usr/share/pwk/README.yp3700
%attr(-, root, root) /usr/share/pwk/pwktip.html
%attr(-, root, root) /usr/share/pwk/yopy.html
%attr(-, root, root) /usr/share/pwk/keysetting.html
%attr(-, root, root) /usr/share/gnome/apps/Utilities/pwkxwin.desktop
%attr(-, root, root) /usr/share/pixmaps/menu/pwk16x16.xpm
%attr(-, root, root) /usr/bin/pwkxwin
%attr(-, root, root) /etc/pwkrc

%clean
rm -rf $RPM_BUILD_ROOT          



